<figure>
  <amp-img {{ if .Get "class" }} class="{{ .Get "class" }}"{{ end }} src="{{ $.Site.BaseURL }}{{ .Get "src" }}" alt="{{ .Page.Title }} {{ .Get "src" }}" width={{ .Get "w" | default "640" }} height={{ .Get "h" | default "400"}} layout="responsive"></amp-img>
  {{ if .Get "caption" }}
  <figcaption>
    {{ if .Get "href" }}
    <a href="{{ .Get "href" }}" target="_blank">{{ .Get "caption" }}</a>
    {{ else }}
    {{ .Get "caption" }}
    {{ end }}
  </figcaption>
  {{ end }}
</figure>
